Transcoder
Create transcoding jobs in bulk
post
/transcoder/jobs/batchSubmit several videos for transcoding in a single request. Useful when processing a whole library at once.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Request body
application/jsonRequired
output*JobOutput
Properties (1)
s3*S3Config
Properties (6)
endpoint?string | null
S3-compatible endpoint URL (omit for AWS S3)
Range
length ≤ 512region?string | null
Range
length ≤ 64bucket*string
Range
1 ≤ length ≤ 255path?string
Object key (input) or destination key prefix (output)
Range
length ≤ 1024Default""access_key?string | null
Range
length ≤ 255secret_key?string | null
Range
length ≤ 2048outputs*array<OutputSpec>
Range
items ≥ 1Rangeitems ≤ 20Properties (1)
type*string
Value in
"file""hls""thumbnails""gif"input_defaults?JobInput | null
Properties (3)
source*string
Value in
"url""s3"url?string | null
Range
length ≤ 2048s3?S3Config | null
Properties (6)
endpoint?string | null
S3-compatible endpoint URL (omit for AWS S3)
Range
length ≤ 512region?string | null
Range
length ≤ 64bucket*string
Range
1 ≤ length ≤ 255path?string
Object key (input) or destination key prefix (output)
Range
length ≤ 1024Default""access_key?string | null
Range
length ≤ 255secret_key?string | null
Range
length ≤ 2048inputs*array<BatchInputItem>
Range
items ≥ 1Rangeitems ≤ 1000Properties (4)
s3?S3Config | null
Properties (6)
endpoint?string | null
S3-compatible endpoint URL (omit for AWS S3)
Range
length ≤ 512region?string | null
Range
length ≤ 64bucket*string
Range
1 ≤ length ≤ 255path?string
Object key (input) or destination key prefix (output)
Range
length ≤ 1024Default""access_key?string | null
Range
length ≤ 255secret_key?string | null
Range
length ≤ 2048url?string | null
Range
length ≤ 2048path?string | null
Range
length ≤ 1024out_subpath?string | null
Range
length ≤ 1024webhook_url?string | null
Range
length ≤ 2048Responses
Successful Response
application/json
batch_id*string
job_ids*array<string>
count*integer